Page MenuHomePhabricator

Create a log file for mw1017 events
Closed, ResolvedPublic

Description

We use mw1017 for live debugging but there is not much logging support for that. Like testwiki.log, there should be an mw1017.log file which includes all events which happened on mw1017. (Or maybe all events which happened on mw1017 when the X-Wikimedia-Debug header was set.)

Event Timeline

Tgr created this task.Oct 29 2015, 4:17 AM
Tgr raised the priority of this task from to Needs Triage.
Tgr updated the task description. (Show Details)
Tgr added a project: MediaWiki-Debug-Logger.
Tgr added a subscriber: Tgr.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 29 2015, 4:17 AM
bd808 added a subscriber: bd808.Jan 30 2016, 6:44 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptJan 30 2016, 6:44 PM
bd808 added a comment.Jan 30 2016, 6:49 PM

This is "just" a matter of configuration. Under the current hosting setup I think it might mean replacing testwiki.log with mw1017.log since all testwiki requests (for now) are served by mw1017. I think we'd want to solve T117019: testwiki.log should include all channels at the same time to really make the log useful.

Change 269069 had a related patch set uploaded (by BryanDavis):
logging: Collect mw1017 logs for debugging

https://gerrit.wikimedia.org/r/269069

bd808 claimed this task.Feb 7 2016, 11:22 PM
Restricted Application added a project: User-bd808. · View Herald TranscriptFeb 7 2016, 11:22 PM
bd808 moved this task from To Do to Needs Review/Feedback on the User-bd808 board.Feb 7 2016, 11:22 PM

Change 269069 merged by jenkins-bot:
logging: Collect mw1017 logs for debugging

https://gerrit.wikimedia.org/r/269069

bd808 closed this task as Resolved.Feb 8 2016, 11:49 PM
bd808 triaged this task as High priority.
bd808 added a comment.Feb 8 2016, 11:51 PM

Now logged to fluorine:/a/mw-log/mw1017.log. It does not go into logstash at this point (neither does testwiki.log nor test2wiki.log). We should evaluate log volume and usefulness to see if that would be desirable as a separate ticket.

bd808 moved this task from Needs Review/Feedback to Done on the User-bd808 board.Feb 10 2016, 3:19 AM
bd808 moved this task from Done to Archive on the User-bd808 board.Feb 21 2016, 8:52 PM